[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

Kernel v.14.19.0.8 and distribute whonix 15.0.0.9.4

In the end of this issue https://forums.whonix.org/t/virtualbox-6-1-whonix-15-aborted/9178 I decided to return to virtualbox v5.2 and try to solve clipboard problem and I found out several mistakes.

If I try to import VM from Whonix-XFCE-15.0.0.9.4 distribute I get this screen when I try to start VM
Снимок экрана от 2020-03-27 23-43-37
at the same time If I try to import VM from Whonix-XFCE-15.0.0.4.9 distribute everything goes well and moreover clipboard works fine. Far more I have VM which I upgrated from Kernel v.14.19.0.5 (Whonix-XFCE-15.0.0.4.9 distribute) to Kernel v.14.19.0.8 (Whonix-XFCE-15.0.0.9.4 distribute) and of course clipboard doesn’t work. If I try to boot from Kernel v.14.19.0.5 in this VM I stuck in this screen Снимок экрана от 2020-03-27 23-51-52 .
Something exactly goes wrong.

You should pay attention that import and clipboard works fine with VirtulBox 6.1 but there I faced with another so annoying problem which can’t allow to work normal - ABORTED!!

Could somebody help me to solve this problems?

I think that your issue with this particular problem (not the other one in your other thread) may be compounded by the Virtualbox version. This is because the difference in the branches: your host Virtualbox is 5.2 but Whonix is using the Guest Additions that are a part of the 6.1.x tree. I have noticed in the past that when trying to start virtual machines with a host Virtualbox version that is too far away from the version being used on the guests by Guest Additions, some strange problems can happen.

1 Like

Unsupported.

See:

1 Like

Do you mean kernel v.14.19.0.8 unsupported? Because as I wrote v.14.19.0.5 works fine.

I didn’t say that. I quoted exactly only:

I decided to return to virtualbox v5.2

And then said unsupported.

Therefore my statement was only about that - the old VirtualBox version.

There is no kernel v.14. -> https://packages.debian.org/search?keywords=linux-image-amd64

There was Whonix 14. But Whonix 14 is also deprecated, unsupported. See:

https://www.whonix.org/wiki/Reporting_Bugs#Old_Stable_Support_Policy

1 Like

[1] At time of writing: Use Whonix 15.0.0.9.4 + VirtualBox 6.1.4.

That is the future. Make that work. Don’t look back / take shortcuts since that won’t work for long, likely causes more confusion, other issues issues, and is unsupported.

If [1] doesn’t work, all you can do is writing good bug reports / work with developers. See also: https://www.whonix.org/wiki/Support#General_Advice

1 Like
[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Investors] [Priority Support] [Professional Support]